# Uses of Class
org.eclipse.equinox.p2.operations.InstallOperation

Packages that use InstallOperation
Package
Description
org.eclipse.equinox.p2.operations
Describes high level provisioning operations that can be resolved and performed either modally or in the background.
org.eclipse.equinox.p2.ui
Provides provisioning user interface classes that can be used for assembling a provisioning UI.

## Uses of InstallOperation in org.eclipse.equinox.p2.operations

Subclasses of InstallOperation in org.eclipse.equinox.p2.operations
Modifier and Type
Class
Description
`class`
`SynchronizeOperation`
A `SynchronizeOperation` describes an operation that will modify the installation to exclusively include the InstallableUnit mentioned.
Methods in org.eclipse.equinox.p2.operations that return InstallOperation
Modifier and Type
Method
Description
`InstallOperation`
OperationFactory.`createInstallOperation(Collection<? extends IVersionedId> toInstall, Collection<URI> repos, IProgressMonitor monitor)`
This factory method creates an `InstallOperation` to install all the elements listed from the specified repositories.

## Uses of InstallOperation in org.eclipse.equinox.p2.ui

Methods in org.eclipse.equinox.p2.ui that return InstallOperation
Modifier and Type
Method
Description
`InstallOperation`
ProvisioningUI.`getInstallOperation(Collection<IInstallableUnit> iusToInstall, URI[] repositories)`
Return an install operation that describes installing the specified IInstallableUnits from the provided list of repositories.
Methods in org.eclipse.equinox.p2.ui with parameters of type InstallOperation
Modifier and Type
Method
Description
`int`
ProvisioningUI.`openInstallWizard(Collection<IInstallableUnit> initialSelections, InstallOperation operation, RemediationOperation remediationOperation, LoadMetadataRepositoryJob job)`
Open an install wizard for installing the specified IInstallableUnits and remediationOperation.
`int`
ProvisioningUI.`openInstallWizard(Collection<IInstallableUnit> initialSelections, InstallOperation operation, LoadMetadataRepositoryJob job)`
Open an install wizard for installing the specified IInstallableUnits